aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJuraj Linkeš <juraj.linkes@pantheon.tech>2021-03-19 11:08:12 +0100
committerMatias Elo <matias.elo@nokia.com>2021-03-29 11:22:12 +0300
commit30c6605eff3ae63111929bafc3056859da276607 (patch)
treed8f5804ceec455f0372da7fb8c2b981ce4008875 /scripts
parent264cdcc2d2d76eec8f0334d9276491f9c5fb555a (diff)
github_ci: add Coverity job and script
Add an Ubuntu20.04 Coverity job scheduled daily. The build is without DPDK as we don't need that for static analysis. Signed-off-by: Juraj Linkeš <juraj.linkes@pantheon.tech> Reviewed-by: Matias Elo <matias.elo@nokia.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/coverity.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/ci/coverity.sh b/scripts/ci/coverity.sh
new file mode 100755
index 000000000..00cd1bb21
--- /dev/null
+++ b/scripts/ci/coverity.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+cd "$(dirname "$0")"/../..
+./bootstrap
+./configure --enable-debug=full
+
+make clean
+
+cov-build --dir coverity-build make -j $(nproc)
+
+tar czf odp-coverity.tgz coverity-build
+
+curl --form token="${COVERITY_TOKEN}" \
+ --form email="${COVERITY_EMAIL}" \
+ --form file=@odp-coverity.tgz \
+ --form version="${GITHUB_SHA}" \
+ --form description="GitHub Actions ODP Coverity Build" \
+ "https://scan.coverity.com/builds?project=${COVERITY_PROJECT}"